package domain

type AlibabaWdkMarketingItempoolItemAddAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaWdkMarketingItempoolItemAddAsyncItemPoolSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult) SetDatas(v []AlibabaWdkMarketingItempoolItemAddAsyncItemPoolSku) *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolItemAddAsyncMarketResult {
	s.Success = &v
	return s
}
